org.apache.ignite.internal.processors.platform.dotnet

## Class PlatformDotNetConfigurationEx

- java.lang.Object
- - org.apache.ignite.platform.dotnet.PlatformDotNetConfiguration
  - - org.apache.ignite.internal.processors.platform.dotnet.PlatformDotNetConfigurationEx

All Implemented Interfaces:
  PlatformConfiguration, PlatformConfigurationEx

    public class PlatformDotNetConfigurationEx
    extends PlatformDotNetConfiguration
    implements PlatformConfigurationEx

Extended .Net configuration.

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetConfigurationEx(PlatformDotNetConfiguration cfg, PlatformCallbackGateway gate, PlatformMemoryManagerImpl memMgr, PlatformLogger logger)` Copy constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<PlatformCacheExtension>` `cacheExtensions()`
`PlatformCallbackGateway` `gate()`
`PlatformLogger` `logger()`
`PlatformMemoryManagerImpl` `memory()`
`String` `platform()`
`PlatformDotNetConfigurationEx` `setAssemblies(List<String> assemblies)`
`PlatformDotNetConfigurationEx` `setBinaryConfiguration(PlatformDotNetBinaryConfiguration binaryCfg)`
`PlatformDotNetConfiguration` `unwrap()` Unwrap extended configuration.
`Collection<String>` `warnings()`
`PlatformDotNetConfigurationEx` `warnings(Collection<String> warnings)`

### Methods inherited from class org.apache.ignite.platform.dotnet.PlatformDotNetConfiguration

`getAssemblies, getBinaryConfiguration, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetConfigurationEx

    public PlatformDotNetConfigurationEx(PlatformDotNetConfiguration cfg,
                                         PlatformCallbackGateway gate,
                                         PlatformMemoryManagerImpl memMgr,
                                         PlatformLogger logger)

Copy constructor.

Parameters:
  `cfg` - Configuration to copy.
  `gate` - Native gateway.
  `memMgr` - Memory manager.

### Method Detail

#### gate

    public PlatformCallbackGateway gate()

Specified by:
  `gate` in interface `PlatformConfigurationEx`

#### memory

    public PlatformMemoryManagerImpl memory()

Specified by:
  `memory` in interface `PlatformConfigurationEx`
Returns:
  Memory manager.

#### platform

    public String platform()

Specified by:
  `platform` in interface `PlatformConfigurationEx`
Returns:
  Platform name.

#### warnings

    public Collection<String> warnings()

Specified by:
  `warnings` in interface `PlatformConfigurationEx`
Returns:
  Warnings to be displayed on grid start.

#### cacheExtensions

    @Nullable
    public Collection<PlatformCacheExtension> cacheExtensions()

Specified by:
  `cacheExtensions` in interface `PlatformConfigurationEx`
Returns:
  Available cache extensions.

#### logger

    public PlatformLogger logger()

Specified by:
  `logger` in interface `PlatformConfigurationEx`
Returns:
  Platform logger.

#### setBinaryConfiguration

    public PlatformDotNetConfigurationEx setBinaryConfiguration(PlatformDotNetBinaryConfiguration binaryCfg)

Overrides:
  `setBinaryConfiguration` in class `PlatformDotNetConfiguration`
Parameters:
  `binaryCfg` - Configuration.
Returns:
  `this` for chaining.

#### setAssemblies

    public PlatformDotNetConfigurationEx setAssemblies(List<String> assemblies)

Overrides:
  `setAssemblies` in class `PlatformDotNetConfiguration`
Parameters:
  `assemblies` - Assemblies.
Returns:
  `this` for chaining.

#### warnings

    public PlatformDotNetConfigurationEx warnings(Collection<String> warnings)

Parameters:
  `warnings` - Warnings.
Returns:
  `this` for chaining.

#### unwrap

    public PlatformDotNetConfiguration unwrap()

Unwrap extended configuration.

Returns:
  Original configuration.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018